include ../item-list/item-list

mixin swiper(data)
    //- -console.log(data)
    .swiper-container(class!= data.class)
        //- Additional required wrapper
        .swiper-wrapper
            //- Slides
            each slide in data.slides
                .swiper-slide.swiper__item
                    if (data.class='employees__swiper')
                        +b.slide
                            +e.asside
                                +e.IMG.img(src=slide.img.src alt=slide.img.alt)
                            +e.cnt
                                +b.people
                                    +e.name!= slide.people.name
                                    +e.skill!= slide.people.skill
                                    +e.info
                                        +e.text!= slide.people.texts.text1
                                        +item-list(slide.itemList)(class='people__list')
                                        +e.text!= slide.people.texts.text2
        //- navigation buttons
        .swiper-button-prev.swiper__button.swiper__button_prev
        .swiper-button-next.swiper__button.swiper__button_next
    //- pagination
    .swiper-pagination.swiper__pagination